/*---------------------------------------------------------------------------\
| Project:	Generic LV2 PIC18F458 CAN node firmware
|
| File:		PROJECT.H
|
| Descr.:	Include file for the whole shebang.
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 06/01/2002 | Created.
\---------------------------------------------------------------------------*/

#ifndef _PROJECT_H	// Don't include more than once (last line = #endif)
#define _PROJECT_H



//------------------------------------------------------------------------
// Typedefs
//------------------------------------------------------------------------

// No bit type; use structures with union bit fields to deal with that.

typedef enum _BOOL
{
	FALSE = 0,
	DISABLE = 0,
	TRUE = 1,
	ENABLE = 1
} BOOL;

typedef unsigned char	 	uint8_t;
typedef signed char 		int8_t;

typedef unsigned int	 	uint16_t;
typedef signed int 			int16_t;

typedef	unsigned short long	uint24_t;	// A "short long"? Puke.
typedef	signed short long	int24_t;

typedef	unsigned long		uint32_t;
typedef	signed long			int32_t;



//------------------------------------------------------------------------
// #defines
//------------------------------------------------------------------------

#define PAININTHEASS	1


//------------------------------------------------------------------------
// Global variable declarations used in all other modules (extern'ed)
//------------------------------------------------------------------------

// None


#endif    			// _PROJECT_H


