/*---------------------------------------------------------------------------\
| Project:	Generic LV2 PIC18F458 CAN node firmware
|
| File:		PROJECT.H
|
| Descr.:	Include file for the whole shebang.
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 06/01/2002 | Created.
\---------------------------------------------------------------------------*/

#ifndef _PROJECT_H	// Don't include more than once (last line = #endif)
#define _PROJECT_H



//------------------------------------------------------------------------
// Typedefs
//------------------------------------------------------------------------

// note that "bit" type is directly supported by PICC-18.

typedef unsigned char	 	uint8_t;
typedef signed char 		int8_t;

typedef unsigned int	 	uint16_t;
typedef signed int 			int16_t;

typedef	unsigned long		uint32_t;
typedef	signed long			int32_t;



//------------------------------------------------------------------------
// #defines
//------------------------------------------------------------------------

#define	TRUE		1
#define	FALSE		0

#define	ENABLE		1
#define	DISABLE 	0

#define	ENABLED		1
#define	DISABLED 	0

#define	HIGHPRIORITY		1
#define	LOWPRIORITY			0

#define PAININTHEASS	1


//------------------------------------------------------------------------
// Global variable declarations used in all other modules (extern'ed)
//------------------------------------------------------------------------

// None


#endif    			// _PROJECT_H


